use serde::Deserialize;
use serde::Serialize;

#[derive(Clone, Debug, Serialize, Deserialize)]
pub struct Achievement {
    pub goal: String,
    pub completed: bool,
    pub uuid: uuid::Uuid,
}

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct CreateAchievement {
    pub goal: String,
}

#[derive(Debug, Serialize, Clone, Deserialize)]
pub struct DeleteAchievement {
    pub uuid: uuid::Uuid,
}
